Package org.globus.gsi

# Class TrustedCertificatesUtil

java.lang.Object
org.globus.gsi.TrustedCertificatesUtil

public class TrustedCertificatesUtil extends Object
Deprecated.
This is a helper class to create convert TrustCertificates

## Constructor Summary

Constructors
Constructor
Description
`TrustedCertificatesUtil()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static CertStore`
`createCertStore(TrustedCertificates tc)`
Deprecated.
Create a CertStore object from TrustedCertificates.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TrustedCertificatesUtil

public TrustedCertificatesUtil()
Deprecated.

## Method Details

### createCertStore

public static CertStore createCertStore(TrustedCertificates tc) throws Exception
Deprecated.
Create a CertStore object from TrustedCertificates. The store only loads trusted certificates, no signing policies

Throws:
  `Exception`